package com.persagy.calendar.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.persagy.calendar.client.fallback.RwdObjectClientFallBack;
import com.persagy.calendar.client.model.BaseModel;
import com.persagy.calendar.client.model.BaseQueryModel;
import com.persagy.calendar.client.model.RwdObjectModel;
import com.persagy.common.constant.ServiceNameConstants;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月1日:	上午10:16:42
 */
@FeignClient(name = ServiceNameConstants.DMP_RWD_SERVICE, fallback = RwdObjectClientFallBack.class, decode404 = true)
public interface RwdObjectClient {
	
	@PostMapping("/rwd/instance/object/query")
    String queryProjectObjects(@SpringQueryMap BaseModel baseModel, @RequestBody BaseQueryModel<RwdObjectModel> object);

}
